## org.junit.runner.manipulation
Interface Sortable

All Known Subinterfaces:
  Orderable

All Known Implementing Classes:
  AllTests, BlockJUnit4ClassRunner, BlockJUnit4ClassRunnerWithParameters, Categories, Enclosed, org.junit.internal.runners.JUnit38ClassRunner, JUnit4, JUnit4TestAdapter, Parameterized, ParentRunner, Suite, org.junit.internal.runners.SuiteMethod, Theories

    public interface Sortable

Interface for runners that allow sorting of tests. By sorting tests based on when they last failed, most recently failed first, you can reduce the average time to the first test failing. Test sorting should not be used to cope with order dependencies between tests. Tests that are isolated from each other are less expensive to maintain and can be run individually.

Since:
  4.0

Method Summary
`void` `sort(Sorter sorter)` Sorts the tests using `sorter`

Method Detail

### sort

    void sort(Sorter sorter)

  Sorts the tests using `sorter`

  Parameters:
    `sorter` - the `Sorter` to use for sorting the tests

Copyright © 2002–2020 JUnit. All rights reserved.